%% 高程
filePath = 'D:\ExperimentData\WuchengWangke\WuchengRuins\elevextract.tif';
% writeFilePath = 'G:\RasterFile\TIN Normal Vectors\SadddleSurface\aspect_true.tif';
[elevation, geo] = geotiffread(filePath); %#ok<GTRED>
info = geotiffinfo(filePath);
nodataIndex = find(elevation<-1000);
elevation(nodataIndex) = missing;
number_elevation = numel(elevation) - numel(nodataIndex);


filePath = 'D:\ExperimentData\WuchengWangke\WuchengRuins\Wucheng_dem0.tif';
% writeFilePath = 'G:\RasterFile\TIN Normal Vectors\SadddleSurface\aspect_true.tif';
[elevation_now, geo] = geotiffread(filePath); %#ok<GTRED>
info = geotiffinfo(filePath);
nodataIndex = find(elevation_now<-1000);
elevation_now(nodataIndex) = missing;
number_elevation_now = numel(elevation_now) - numel(nodataIndex);


tempElevationHistogram = histogram(elevation(:),'BinWidth', 1, 'Normalization', 'count');
plotElevationMatrix = cat(1,HisBar2Line(tempElevationHistogram.BinEdges), tempElevationHistogram.Values / number_elevation);

tempElevationNowHistogram = histogram(elevation_now(:),'BinWidth', 1, 'Normalization', 'count');
plotElevationNowMatrix = cat(1,HisBar2Line(tempElevationNowHistogram.BinEdges), tempElevationNowHistogram.Values / number_elevation_now);


colorMatrix = [0 0.4470 0.7410; 0.8500 0.3250 0.0980; 0.9290 0.6940 0.1250;...
    0.4940 0.1840 0.5560; 0.4660 0.6740 0.1880];

FigElevation = figure(2);
hold on
plot(plotElevationMatrix(1,:),...
    plotElevationMatrix(2,:),'Color',colorMatrix(1, :), 'LineWidth', 2);

plot(plotElevationNowMatrix(1,:),...
    plotElevationNowMatrix(2,:),'Color',colorMatrix(2, :), 'LineWidth', 2);

FigElevation.WindowStyle = 'normal';
FigElevation.Position = [460 280 550 400];
AxElevation = FigElevation.CurrentAxes;
AxElevation.FontSize = 14;
AxElevation.FontWeight = 'bold';
% AxElevation.XLim = [1250 1400];
% legend({'                   ','                   '});
% AxElevation.Legend.Orientation = 'Vertical';
% AxElevation.Legend.FontSize = 11;
xlabel('Elevation (m)');
ylabel('Frequency');
                
%% 坡度
filePath = 'D:\ExperimentData\WuchengWangke\WuchengRuins\Slope_elevextract.tif';
% writeFilePath = 'G:\RasterFile\TIN Normal Vectors\SadddleSurface\aspect_true.tif';
[Slope, geo] = geotiffread(filePath); %#ok<GTRED>
info = geotiffinfo(filePath);
nodataIndex = find(Slope<-1000);
Slope(nodataIndex) = missing;
number_slope = numel(Slope) - numel(nodataIndex);


filePath = 'D:\ExperimentData\WuchengWangke\WuchengRuins\slope_Wucheng_dem0.tif';
% writeFilePath = 'G:\RasterFile\TIN Normal Vectors\SadddleSurface\aspect_true.tif';
[Slope_now, geo] = geotiffread(filePath); %#ok<GTRED>
info = geotiffinfo(filePath);
nodataIndex = find(Slope_now<-1000);
Slope_now(nodataIndex) = missing;
number_slope_now = numel(Slope_now) - numel(nodataIndex);

tempSlopeHistogram = histogram(Slope(:),'BinWidth', 0.5, 'Normalization', 'count');
plotSlopeMatrix = cat(1,HisBar2Line(tempSlopeHistogram.BinEdges), tempSlopeHistogram.Values /number_slope);

tempSlopeNowHistogram = histogram(Slope_now(:),'BinWidth', 0.5, 'Normalization', 'count');
plotSlopeNowMatrix = cat(1,HisBar2Line(tempSlopeNowHistogram.BinEdges), tempSlopeNowHistogram.Values/number_slope_now);


colorMatrix = [0 0.4470 0.7410; 0.8500 0.3250 0.0980; 0.9290 0.6940 0.1250;...
    0.4940 0.1840 0.5560; 0.4660 0.6740 0.1880];

FigSlope = figure(2);
hold on
plot(plotSlopeMatrix(1,:),...
    plotSlopeMatrix(2,:),'Color',colorMatrix(1, :), 'LineWidth', 2);

plot(plotSlopeNowMatrix(1,:),...
    plotSlopeNowMatrix(2,:),'Color',colorMatrix(2, :), 'LineWidth', 2);

FigSlope.WindowStyle = 'normal';
FigSlope.Position = [460 280 550 400];
AxSlope = FigSlope.CurrentAxes;
AxSlope.FontSize = 14;
AxSlope.FontWeight = 'bold';
AxSlope.XLim = [0 56];
% legend({'Ancient','Modern'});
% AxSlope.Legend.Orientation = 'Vertical';
% AxSlope.Legend.FontSize = 11;
xlabel('Slope (°)');
ylabel('Frequency');

%% 粗糙度
filePath = 'D:\ExperimentData\WuchengWangke\WuchengRuins\rough_elevextract.tif';
% writeFilePath = 'G:\RasterFile\TIN Normal Vectors\SadddleSurface\aspect_true.tif';
[rough, geo] = geotiffread(filePath); %#ok<GTRED>
info = geotiffinfo(filePath);
nodataIndex = find(rough<-1000);
rough(nodataIndex) = missing;
number_rough = numel(rough) - numel(nodataIndex);


filePath = 'D:\ExperimentData\WuchengWangke\WuchengRuins\rough_Wucheng_dem0.tif';
% writeFilePath = 'G:\RasterFile\TIN Normal Vectors\SadddleSurface\aspect_true.tif';
[rough_now, geo] = geotiffread(filePath); %#ok<GTRED>
info = geotiffinfo(filePath);
nodataIndex = find(rough_now<-1000);
rough_now(nodataIndex) = missing;
number_rough_now = numel(rough_now) - numel(nodataIndex);


tempRoughHistogram = histogram(rough(:),'BinWidth', 0.005, 'Normalization', 'count');
plotRoughMatrix = cat(1,HisBar2Line(tempRoughHistogram.BinEdges), tempRoughHistogram.Values /number_rough);

tempRoughNowHistogram = histogram(rough_now(:),'BinWidth', 0.005, 'Normalization', 'count');
plotRoughNowMatrix = cat(1,HisBar2Line(tempRoughNowHistogram.BinEdges), tempRoughNowHistogram.Values/number_rough_now);


colorMatrix = [0 0.4470 0.7410; 0.8500 0.3250 0.0980; 0.9290 0.6940 0.1250;...
    0.4940 0.1840 0.5560; 0.4660 0.6740 0.1880];

FigRough = figure(3);
hold on
plot(plotRoughMatrix(1,:),...
    plotRoughMatrix(2,:),'Color',colorMatrix(1, :), 'LineWidth', 2);

plot(plotRoughNowMatrix(1,:),...
    plotRoughNowMatrix(2,:),'Color',colorMatrix(2, :), 'LineWidth', 2);

FigRough.WindowStyle = 'normal';
FigRough.Position = [460 280 550 400];
AxRough = FigRough.CurrentAxes;
AxRough.FontSize = 14;
AxRough.FontWeight = 'bold';
AxRough.XLim = [1 1.4];
% legend({'Ancient','Modern'});
% AxRough.Legend.Orientation = 'Vertical';
% AxRough.Legend.FontSize = 11;
xlabel('Roughness');
ylabel('Frequency');

%% 切割深度
filePath = 'D:\ExperimentData\WuchengWangke\WuchengRuins\cutting_elevextract.tif';
% writeFilePath = 'G:\RasterFile\TIN Normal Vectors\SadddleSurface\aspect_true.tif';
[cutting, geo] = geotiffread(filePath); %#ok<GTRED>
info = geotiffinfo(filePath);
nodataIndex = find(cutting<-1000);
cutting(nodataIndex) = missing;
number_cutting = numel(cutting) - numel(nodataIndex);


filePath = 'D:\ExperimentData\WuchengWangke\WuchengRuins\Cutting_Wucheng_dem0.tif';
% writeFilePath = 'G:\RasterFile\TIN Normal Vectors\SadddleSurface\aspect_true.tif';
[cutting_now, geo] = geotiffread(filePath); %#ok<GTRED>
info = geotiffinfo(filePath);
nodataIndex = find(cutting_now<-1000);
cutting_now(nodataIndex) = missing;
number_cutting_now = numel(cutting_now) - numel(nodataIndex);

tempcuttingHistogram = histogram(cutting(:),'BinWidth', 0.1, 'Normalization', 'count');
plotcuttingMatrix = cat(1,HisBar2Line(tempcuttingHistogram.BinEdges), tempcuttingHistogram.Values /number_cutting);

tempcuttingNowHistogram = histogram(cutting_now(:),'BinWidth', 0.1, 'Normalization', 'count');
plotcuttingNowMatrix = cat(1,HisBar2Line(tempcuttingNowHistogram.BinEdges), tempcuttingNowHistogram.Values /number_cutting_now);


colorMatrix = [0 0.4470 0.7410; 0.8500 0.3250 0.0980; 0.9290 0.6940 0.1250;...
    0.4940 0.1840 0.5560; 0.4660 0.6740 0.1880];

Figcutting = figure(4);
hold on
plot(plotcuttingMatrix(1,:),...
    plotcuttingMatrix(2,:),'Color',colorMatrix(1, :), 'LineWidth', 2);

plot(plotcuttingNowMatrix(1,:),...
    plotcuttingNowMatrix(2,:),'Color',colorMatrix(2, :), 'LineWidth', 2);

Figcutting.WindowStyle = 'normal';
Figcutting.Position = [460 280 550 400];
Axcutting = Figcutting.CurrentAxes;
Axcutting.FontSize = 14;
Axcutting.FontWeight = 'bold';
Axcutting.XLim = [0 8];
% legend({'Ancient','Modern'});
% Axcutting.Legend.Orientation = 'Vertical';
% Axcutting.Legend.FontSize = 11;
xlabel('Cutting depth (m)');
ylabel('Frequency');
